extends Node3D

@onready var animation: AnimationPlayer = $AnimationPlayer
@onready var dust_animation: AnimationPlayer = %DustAnimation
@onready var open_sfx: AudioStreamPlayer3D = %OpenSFX


func open() -> void:
	animation.play("open")
	dust_animation.play("spray")
	open_sfx.play()


func close() -> void:
	# TODO bespoke close anim?
	animation.play_backwards("open")
